<template>
    <v-menu offset-y>
        <v-btn icon slot="activator">
            <v-icon>format_color_fill</v-icon>
        </v-btn>
        <v-card>
            <div>
                <v-btn v-for="theme in themes" :key="theme.primary" fab dark small :color="theme.name" @click="setTheme(theme)">

                </v-btn>
            </div>
        </v-card>
    </v-menu>
</template>

<script>
    export default {
        computed: {
            themes() {
                return this.$store.getters['theme/all'];
            }
        },

        methods: {
            setTheme(theme) {
                this.$store.dispatch('theme/set', {theme, vuetify: this.$vuetify}, 'okat');
            }
        }
    }
</script>
